/// @file ControlTable.h
#ifndef CONTROLTABLE_H
#define CONTROLTABLE_H

//add some mode, for example SHOW_ALL_PROCESS
enum { PROCESS = 0, COMMAND };
/**
	@brief 프로세스 상황관리 객체

	현재의 상황을 관리하는 클래스입니다.\n
	상황을 토대로 각각의 객체들은 수행합니다.
*/
class ControlTable {
	public:
		ControlTable(){
		}
		~ControlTable(){
			/*aOggPlayer_.Close();
			clearScriptPocket_();
			clearMainPocket_();*/
		}
		void setControlType(const char* _controlType){
			if(strcmp(_controlType, "command") == 0){
				controlType = COMMAND;
			}else if(strcmp(_controlType, "process") == 0){
				controlType = PROCESS;
			}
		}
		int controlType;
	private: //private member
};

#endif